from sqlalchemy import *
from migrate import *
import migrate.changeset

#meta = MetaData(bind = create_engine('mssql://user1:user1@DEV-CHVV\SQLEXPRESS/dictionaries'))

def getIndices(meta):
    tmcgroups1 = Table('tmcgroups1', meta, autoload=True)
    tmcgroups2 = Table('tmcgroups2', meta, autoload=True)
    tmc1 = Table('tmc1', meta, autoload=True)
    tmc2 = Table('tmc2', meta, autoload=True)
    timeperiod1 = Table('timeperiod1', meta, autoload=True)
    timeperiod2 = Table('timeperiod2', meta, autoload=True)
    remain1 = Table('remain1', meta, autoload=True)
    remain2 = Table('remain2', meta, autoload=True)
    mol1 = Table('mol1', meta, autoload=True)
    mol2 = Table('mol2', meta, autoload=True)
    menuitem1 = Table('menuitem1', meta, autoload=True)
    menuitem2 = Table('menuitem2', meta, autoload=True)
    macroparameters1 = Table('macroparameters1', meta, autoload=True)
    macroparameters2 = Table('macroparameters2', meta, autoload=True)
    kitgoods1 = Table('kitgoods1', meta, autoload=True)
    kitgoods2 = Table('kitgoods2', meta, autoload=True)
    kitdisc1 = Table('kitdisc1', meta, autoload=True)
    kitdisc2 = Table('kitdisc2', meta, autoload=True)
    kit1 = Table('kit1', meta, autoload=True)
    kit2 = Table('kit2', meta, autoload=True)
    kbkey1 = Table('kbkey1', meta, autoload=True)
    kbkey2 = Table('kbkey2', meta, autoload=True)
    discountsauto1 = Table('discountsauto1', meta, autoload=True)
    discountsauto2 = Table('discountsauto2', meta, autoload=True)
    disccard1 = Table('disccard1', meta, autoload=True)
    disccard2 = Table('disccard2', meta, autoload=True)
    card1 = Table('card1', meta, autoload=True)
    card2 = Table('card2', meta, autoload=True)
    aspectvaluesetvalues1 = Table('aspectvaluesetvalues1', meta, autoload=True)
    aspectvaluesetvalues2 = Table('aspectvaluesetvalues2', meta, autoload=True)
    aspectvalueset1 = Table('aspectvalueset1', meta, autoload=True)
    aspectvalueset2 = Table('aspectvalueset2', meta, autoload=True)
    aspectvalue1 = Table('aspectvalue1', meta, autoload=True)
    aspectvalue2 = Table('aspectvalue2', meta, autoload=True)
    aspect1 = Table('aspect1', meta, autoload=True)
    aspect2 = Table('aspect2', meta, autoload=True)
    actionparameter1 = Table('actionparameter1', meta, autoload=True)
    actionparameter2 = Table('actionparameter2', meta, autoload=True)
    
    
    indices = [
        Index('tmcgroupsparentgroupcode', tmcgroups1.c.parentgroupcode, unique=False),
    
        Index('tmcgroupsparentgroupcode', tmcgroups2.c.parentgroupcode, unique=False),
    
    
        Index('tmccode', tmc1.c.code, unique=False),
        Index('tmcname', tmc1.c.name, unique=False),
    
        Index('tmccode', tmc2.c.code, unique=False),
        Index('tmcname', tmc2.c.name, unique=False),
    
    
        Index('timeperiodcampaignid', timeperiod1.c.campaignid, unique=False),
    
        Index('timeperiodcampaignid', timeperiod2.c.campaignid, unique=False),
    
    
        Index('remaintimevalid', remain1.c.timevalid, unique=False),
        Index('remaingoodsasp', remain1.c.goodscode, remain1.c.aspectvaluesetcode, unique=False),
    
        Index('remaintimevalid', remain2.c.timevalid, unique=False),
        Index('remaingoodsasp', remain2.c.goodscode, remain2.c.aspectvaluesetcode, unique=False),
    
    
        Index('mollogin', mol1.c.login, unique=True),
    
        Index('mollogin', mol2.c.login, unique=True),
    
    
        Index('menuitemcmactioncode', menuitem1.c.cmactioncode, unique=False),
        Index('menuitemmenucode', menuitem1.c.menucode, unique=False),
    
        Index('menuitemcmactioncode', menuitem2.c.cmactioncode, unique=False),
        Index('menuitemmenucode', menuitem2.c.menucode, unique=False),
    
    
        Index('macroparameterscmactioncode', macroparameters1.c.cmactioncode, unique=False),
        Index('macroparametersmacrocode', macroparameters1.c.macrocode, unique=False),
    
        Index('macroparameterscmactioncode', macroparameters2.c.cmactioncode, unique=False),
        Index('macroparametersmacrocode', macroparameters2.c.macrocode, unique=False),
    
    
        Index('kitgoodsgoodscode', kitgoods1.c.goodscode, unique=False),
        Index('kitgoodskitid', kitgoods1.c.kitid, unique=False),
    
        Index('kitgoodsgoodscode', kitgoods2.c.goodscode, unique=False),
        Index('kitgoodskitid', kitgoods2.c.kitid, unique=False),
    
    
        Index('kitdisckitgoodsid', kitdisc1.c.kitgoodsid, unique=False),
    
        Index('kitdisckitgoodsid', kitdisc2.c.kitgoodsid, unique=False),
    
    
        Index('kitcampaignid', kit1.c.campaignid, unique=False),
    
        Index('kitcampaignid', kit2.c.campaignid, unique=False),
    
    
        Index('kbkeycmactioncode', kbkey1.c.cmactioncode, unique=False),
    
        Index('kbkeycmactioncode', kbkey2.c.cmactioncode, unique=False),
    
    
        Index('disccardacdiscasheme', disccard1.c.acdiscasheme, unique=False),
    
        Index('disccardacdiscasheme', disccard2.c.acdiscasheme, unique=False),
    
    
        Index('cardidcardgroup', card1.c.idcardgroup, unique=False),
        Index('cardidclient', card1.c.idclient, unique=False),
    
        Index('cardidcardgroup', card2.c.idcardgroup, unique=False),
        Index('cardidclient', card2.c.idclient, unique=False),
    
    
        Index('aspectcode', aspectvaluesetvalues1.c.aspectcode, unique=False),
        Index('aspectvaluecode', aspectvaluesetvalues1.c.aspectvaluecode, unique=False),
        Index('aspectvaluesetcode', aspectvaluesetvalues1.c.aspectvaluesetcode, unique=False),
    
        Index('aspectcode', aspectvaluesetvalues2.c.aspectcode, unique=False),
        Index('aspectvaluecode', aspectvaluesetvalues2.c.aspectvaluecode, unique=False),
        Index('aspectvaluesetcode', aspectvaluesetvalues2.c.aspectvaluesetcode, unique=False),
    
    
        Index('aspectschemecode', aspectvalueset1.c.aspectschemecode, unique=False),
    
        Index('aspectschemecode', aspectvalueset2.c.aspectschemecode, unique=False),
    
    
        Index('aspectcode', aspectvalue1.c.aspectcode, unique=False),
    
        Index('aspectcode', aspectvalue2.c.aspectcode, unique=False),
    
    
        Index('aspectschemecode', aspect1.c.aspectschemecode, unique=False),
    
        Index('aspectschemecode', aspect2.c.aspectschemecode, unique=False),
    
    
        Index('actionparametercmactioncode', actionparameter1.c.cmactioncode, unique=False),
    
        Index('actionparametercmactioncode', actionparameter2.c.cmactioncode, unique=False),
    ]
    return indices


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    for index in getIndices(meta):
        index.create()

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # Operations to reverse the above upgrade go here.
    for index in getIndices(meta):
        index.drop()
