from sqlalchemy import *
from migrate import *

import migrate.changeset

def getTables(meta):
    class Dictionaries(object):
        def __init__(self, meta):
            self.accumulatesprices = Table('accumulatesprices1', meta, autoload=True)
            self.actionparameter = Table('actionparameter1', meta, autoload=True)
            self.aspect = Table('aspect1', meta, autoload=True)
            self.aspectscheme = Table('aspectscheme1', meta, autoload=True)
            self.aspectvalue = Table('aspectvalue1', meta, autoload=True)
            self.aspectvalueset = Table('aspectvalueset1', meta, autoload=True)
            self.aspectvaluesetvalues = Table('aspectvaluesetvalues1', meta, autoload=True)
            self.campaign = Table('campaign1', meta, autoload=True)
            self.card = Table('card1', meta, autoload=True)
            self.cardgroup = Table('cardgroup1', meta, autoload=True)
            self.client = Table('client1', meta, autoload=True)
            self.cmaction = Table('cmaction1', meta, autoload=True)
            self.cmkeys = Table('cmkeys1', meta, autoload=True)
            self.command = Table('command1', meta, autoload=True)
            self.dept = Table('dept1', meta, autoload=True)
            self.disccard = Table('disccard1', meta, autoload=True)
            self.disccardaccumulate = Table('disccardaccumulate1', meta, autoload=True)
            self.discountsauto = Table('discountsauto1', meta, autoload=True)
            self.discountsfixed = Table('discountsfixed1', meta, autoload=True)
            self.discountsystem = Table('discountsystem1', meta, autoload=True)
            self.goodstimerestrict = Table('goodstimerestrict1', meta, autoload=True)
            self.groups = Table('groups1', meta, autoload=True)
            self.kbkey = Table('kbkey1', meta, autoload=True)
            self.kit = Table('kit1', meta, autoload=True)
            self.kitdisc = Table('kitdisc1', meta, autoload=True)
            self.kitgoods = Table('kitgoods1', meta, autoload=True)
            self.macroparameters = Table('macroparameters1', meta, autoload=True)
            self.menu = Table('menu1', meta, autoload=True)
            self.menuitem = Table('menuitem1', meta, autoload=True)
            self.mol = Table('mol1', meta, autoload=True)
            self.mop = Table('mop1', meta, autoload=True)
            self.op = Table('op1', meta, autoload=True)
            self.remain = Table('remain1', meta, autoload=True)
            self.role = Table('role1', meta, autoload=True)
            self.rostat = Table('rostat1', meta, autoload=True)
            self.sdabs = Table('sdabs1', meta, autoload=True)
            self.sdperc = Table('sdperc1', meta, autoload=True)
            self.settings = Table('settings1', meta, autoload=True)
            self.spindex = Table('spindex1', meta, autoload=True)
            self.sprices = Table('sprices1', meta, autoload=True)
            self.tgrlink = Table('tgrlink1', meta, autoload=True)
            self.timeperiod = Table('timeperiod1', meta, autoload=True)
            self.tmc = Table('tmc1', meta, autoload=True)
            self.tmcext = Table('tmcext1', meta, autoload=True)
            self.tmcgroups = Table('tmcgroups1', meta, autoload=True)
            self.tmclink = Table('tmclink1', meta, autoload=True)
            self.tmcsalerestrict = Table('tmcsalerestrict1', meta, autoload=True)
            self.tostat = Table('tostat1', meta, autoload=True)
            self.tprices = Table('tprices1', meta, autoload=True)
            self.tquick = Table('tquick1', meta, autoload=True)
            self.units = Table('units1', meta, autoload=True)
            self.valut = Table('valut1', meta, autoload=True)
            self.vat = Table('vat1', meta, autoload=True)
        
    return filter(lambda x: isinstance(x, Table), map(lambda x: getattr(Dictionaries(meta), x), dir(Dictionaries(meta))))


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    conn = migrate_engine.connect()
    for table in getTables(meta):
        basename = table.name[:-1]
        conn.execute('create view `%s` as select * from %s' % (basename, table.name))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # Operations to reverse the above upgrade go here.
    conn = migrate_engine.connect()
    for table in getTables(meta):
        basename = table.name[:-1]
        conn.execute('drop view `%s`' % (basename))
