from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getCardTables(meta):
    card1 = Table('card1', meta, autoload=True)
    card2 = Table('card2', meta, autoload=True)
    return [card1, card2]

def getCardGroupTables(meta):
    cardGroup1 = Table('cardgroup1', meta, autoload=True)
    cardGroup2 = Table('cardgroup2', meta, autoload=True)
    return [cardGroup1, cardGroup2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    #card - purchases
    for tbl in getCardTables(meta):
        purchases = Column('purchases', Integer, nullable=True)
        if not 'purchases' in tbl.columns:
            purchases.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'card')
    #cardgroup - showinfo
    for tbl in getCardGroupTables(meta):
        showinfo= Column('showinfo', BOOLEAN)
        if not 'showinfo' in tbl.columns:
            showinfo.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'cardgroup')


def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    #card - purchases
    card = views_helper.get_table_name(migrate_engine,'card')
    for tbl in getCardTables(meta):
        if 'purchases' in tbl.columns:
            tbl.c.purchases.drop()
    views_helper.update_dic_view(migrate_engine, 'card', card)
    #cardgroup - showinfo
    cardgroup = views_helper.get_table_name(migrate_engine,'cardgroup')
    for tbl in getCardGroupTables(meta):
        if 'showinfo' in tbl.columns:
            tbl.c.showinfo.drop()
    views_helper.update_dic_view(migrate_engine, 'cardgroup', cardgroup)
