from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper
import migrate.changeset

def getAlcoholCatalog(meta):
    
    alcoholcatalog=Table('alcoholcatalog', meta,
            Column('catalogid', Integer, nullable=False,primary_key=True),
            Column('alcoholpercent', Numeric(precision=4, scale=2), nullable=False)
    )
    return alcoholcatalog

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    table = getAlcoholCatalog(meta)
    basename = table.name
    for suffix in ['1','2']:
        table.name = basename + suffix
        if not table.exists():
            table.create()
    views_helper.create_or_replace(migrate_engine, basename, basename + '1')

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    table = getAlcoholCatalog(meta)
    basename = table.name
    for suffix in ['1','2']:
        table.name = basename + suffix
        if table.exists():
            table.drop()
    views_helper.drop_if_exist(migrate_engine, basename)