from sqlalchemy import *
from dictionaries.versions import views_helper

shopTable = 'shop'

tmcTable = 'tmc'
tmcField = 'manufacturercountrycode'

def getCountryTable(meta):
    return Table('country', meta,
        Column('code', Integer, nullable=False, primary_key=True, autoincrement=False),
        Column('name', String(100), nullable=False)
    )

vendorName = 'vendorname'
vendorLegalAddress = 'vendorlegaladdress'
vendorInn = 'vendorinn'
vendorKpp = 'vendorkpp'
shipperName = 'shippername'
shipperAddress = 'shipperaddress'

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    views_helper.create_table(migrate_engine, getCountryTable(meta))
    views_helper.create_column(migrate_engine, tmcTable, tmcField, Integer, isBigTable = True)
    views_helper.create_column(migrate_engine, shopTable, vendorName, String(255))
    views_helper.create_column(migrate_engine, shopTable, vendorLegalAddress, String(255))
    views_helper.create_column(migrate_engine, shopTable, vendorInn, String(20))
    views_helper.create_column(migrate_engine, shopTable, vendorKpp, String(20))
    views_helper.create_column(migrate_engine, shopTable, shipperName, String(255))
    views_helper.create_column(migrate_engine, shopTable, shipperAddress, String(255))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    views_helper.drop_table(migrate_engine, getCountryTable(meta))
    views_helper.drop_column(migrate_engine, tmcTable, tmcField, Integer, isBigTable = True)
    views_helper.drop_column(migrate_engine, shopTable, vendorName, String(255))
    views_helper.drop_column(migrate_engine, shopTable, vendorLegalAddress, String(255))
    views_helper.drop_column(migrate_engine, shopTable, vendorInn, String(20))
    views_helper.drop_column(migrate_engine, shopTable, vendorKpp, String(20))
    views_helper.drop_column(migrate_engine, shopTable, shipperName, String(255))
    views_helper.drop_column(migrate_engine, shopTable, shipperAddress, String(255))
