# -*- coding: utf-8 -*-

from sqlalchemy import *
from dictionaries.versions import views_helper

aspectTableName = 'aspect'
aspectValueTableName = 'aspectvalue'
aspectValueSetValuesTableName = 'aspectvaluesetvalues'

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    for table in views_helper.getTables(meta, aspectTableName):
        table.c.aspectcode.alter(type=String(30))
    for table in views_helper.getTables(meta, aspectValueTableName):
        table.c.aspectvaluecode.alter(type=String(30))
        table.c.aspectcode.alter(type=String(30))
    for table in views_helper.getTables(meta, aspectValueSetValuesTableName):
        table.c.aspectvaluecode.alter(type=String(30))
        table.c.aspectcode.alter(type=String(30))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    for table in views_helper.getTables(meta, aspectValueSetValuesTableName):
        table.c.aspectvaluecode.alter(type=Integer, autoincrement=False)
        table.c.aspectcode.alter(type=Integer, autoincrement=False)

    for table in views_helper.getTables(meta, aspectValueTableName):
        table.c.aspectvaluecode.alter(type=Integer, autoincrement=True)
        table.c.aspectcode.alter(type=Integer)

    for table in views_helper.getTables(meta, aspectTableName):
        table.c.aspectcode.alter(type=Integer, autoincrement=True)

