from sqlalchemy import Numeric
from dictionaries.versions import views_helper

tables = ['tmc', 'prices', 'barcodes']
column_name = 'minretailprice'


def upgrade(migrate_engine):
    for table in tables:
        if not views_helper.isColumnExists(migrate_engine, table, column_name):
            views_helper.create_column(migrate_engine, table, column_name, Numeric(precision=13, scale=2))
            views_helper.alter_column(migrate_engine, table, column_name, True)
        else:
            views_helper.alter_column(migrate_engine, table, column_name, True)


def downgrade(migrate_engine):
    for table in tables:
        views_helper.drop_column(migrate_engine, table, column_name, Numeric(precision=13, scale=2))
