from sqlalchemy import *
from migrate import *
import migrate.changeset

def getWorkshiftTable(meta):
    return Table('workshift', meta, autoload=True)

def getDocumentTable(meta):
    return Table('document', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    Column('sumsale', Numeric(precision = 13, scale = 2), nullable = False, default = 0).create(getWorkshiftTable(meta))
    Column('sumgain', Numeric(precision = 13, scale = 2), nullable = False, default = 0).create(getWorkshiftTable(meta))
    Column('sumdrawer', Numeric(precision = 13, scale = 2), nullable = False, default = 0).create(getWorkshiftTable(meta))
    Column('changed', SmallInteger, nullable = False, default = 1).create(getWorkshiftTable(meta))
    Column('changed', SmallInteger, nullable = False, default = 1).create(getDocumentTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    getWorkshiftTable(meta).c.sumsale.drop()
    getWorkshiftTable(meta).c.sumgain.drop()
    getWorkshiftTable(meta).c.sumdrawer.drop()
    getWorkshiftTable(meta).c.changed.drop()
    getDocumentTable(meta).c.changed.drop()
