from sqlalchemy import *
from migrate import *

def getUsersTable(meta):
    return Table('users', meta, autoload=True)

def getShiftTable(meta):
    return Table('workshift', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    if (not 'usersworkshiftidfk' in [key.name for key in getUsersTable(meta).foreign_keys]) and (
    not 'usersworkshiftidfk_1' in [key.name for key in getUsersTable(meta).foreign_keys]):
        changeset.constraint.ForeignKeyConstraint([getUsersTable(meta).c.workshiftid], [getShiftTable(meta).c.workshiftid],
                             name='usersworkshiftidfk', ondelete='CASCADE').create()

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    for forKey in ['usersworkshiftidfk', 'usersworkshiftidfk_1']:
        if forKey in [key.name for key in getUsersTable(meta).foreign_keys]:
            changeset.constraint.ForeignKeyConstraint([getUsersTable(meta).c.workshiftid], [getShiftTable(meta).c.workshiftid],
                                 name=forKey).drop()
