from sqlalchemy import *
from migrate import *
from documents.versions import dump


def getTables(meta):
    return Table('goodsitem', meta, autoload=True), Table('stornogoodsitem', meta, autoload=True)


def upgrade(migrate_engine):
    # Upgrade operations go here. Don't create your own engine; bind migrate_engine
    # to your metadata
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    for tbl in getTables(meta):
        if not 'inn' in tbl.columns:
            Column('inn', String(20), nullable=True).create(tbl)
        if not 'kpp' in tbl.columns:
            Column('kpp', String(20), nullable=True).create(tbl)
        if not 'alcoholpercent' in tbl.columns:
            Column('alcoholpercent', Numeric(4, 2), nullable=True).create(tbl)


def downgrade(migrate_engine):
    # Operations to reverse the above upgrade go here.
    meta = MetaData(bind=migrate_engine)
    for tbl in getTables(meta):
        if 'inn' in tbl.columns:
            tbl.c.inn.drop()
        if 'kpp' in tbl.columns:
            tbl.c.kpp.drop()
        if 'alcoholpercent' in tbl.columns:
            tbl.c.alcoholpercent.drop()
