from sqlalchemy import *
from migrate import *
import migrate.changeset

def getGoodsItem(meta):
    return Table('goodsitem', meta, autoload=True)

def getSecurityWeight(meta):
    securityweight=Table('securityweight', meta,
        Column('securityweightid', Integer, nullable=False, primary_key=True, autoincrement=True),
        Column('goodsitemid', Integer, ForeignKey(getGoodsItem(meta).c.goodsitemid, name='securityweightgoodsitemidfk', ondelete='CASCADE'), nullable=False),
        Column('weight', Numeric(precision=13, scale=3), nullable=False),
        Column('delta', Numeric(precision=13, scale=3), nullable=False),
        Column('source', Integer, nullable=False),
        mysql_engine='InnoDB',
    )
    return securityweight

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    securityweight = getSecurityWeight(meta)
    if not securityweight.exists(meta.bind):
        securityweight.create()

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    securityweight = getSecurityWeight(meta)
    if securityweight.exists(meta.bind):
        securityweight.drop()
