from sqlalchemy import *
from migrate import *

columnName = 'transactionid'
columnType = String(255)

def getTable(meta):
    return Table('bonusitem', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    if not columnName in table.columns:
        Column(columnName, columnType, nullable=True).create(table)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    if columnName in table.columns:
        Column(columnName, columnType, nullable=True).drop(table)

