from sqlalchemy import *
from migrate import *


def getGoodsItem(meta):
    return Table('goodsitem', meta, autoload=True)


def getStornoGoodsItem(meta):
    return Table('stornogoodsitem', meta, autoload=True)


def getConsultantTable(meta):
    return Table('consultant', meta,
        Column('consultantid', Integer, nullable=False, primary_key=True, autoincrement=True),
        Column('goodsitemid', Integer, ForeignKey(getGoodsItem(meta).c.goodsitemid, name='consultantgoodsitemidfk',
               ondelete='CASCADE'), nullable=True),
        Column('stornogoodsitemid', Integer, ForeignKey(getStornoGoodsItem(meta).c.stornogoodsitemid,
               name='consultantstornogoodsitemidfk', ondelete='CASCADE'), nullable=True),
        Column('code', String(255), nullable=False),
        Column('name', String(255), nullable=False),
        mysql_engine='InnoDB'
    )


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    consultantTable = getConsultantTable(meta)
    if not consultantTable.exists(meta.bind):
        consultantTable.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    consultantTable = getConsultantTable(meta)
    if consultantTable.exists(meta.bind):
        consultantTable.drop()
